{
  description = "Zig flake with ZLS";
  inputs.nixpkgs.url = "github:NixOS/nixpkgs/nixos-unstable";
  inputs.flake-utils.url = "github:numtide/flake-utils";
  outputs = {
    flake-utils,
    nixpkgs,
    ...
  }:
  flake-utils.lib.eachDefaultSystem (system: let
    pkgs = import nixpkgs {
      inherit system;
    };
  in {
    devShell = pkgs.mkShell {
        buildInputs = with pkgs; [
          lldb
          SDL2
          SDL2_ttf
          SDL2_image
          ## For SDL dynamic linking
          libpulseaudio
          xorg.libXext
          ##
          zig
          zls
        ];
        # LD_LIBRARY_PATH = pkgs.lib.makeLibraryPath buildInputs;
        # C_INCLUDE_PATH = "${pkgs.SDL2}/include:${pkgs.SDL2_ttf}/include:${pkgs.SDL2_image}/include";
      };
  });
}
